<!--
  Licensed to the Apache Software Foundation (ASF) under one
  or more contributor license agreements.  See the NOTICE file
  distributed with this work for additional information
  regarding copyright ownership.  The ASF licenses this file
  to you under the Apache License, Version 2.0 (the
  "License"); you may not use this file except in compliance
  with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing,
  software distributed under the License is distributed on an
  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  KIND, either express or implied.  See the License for the
  specific language governing permissions and limitations
  under the License.
  -->

# Kogito Spring Boot Add-ons

In this module you will find all the add-ons supported by the community for Spring Boot Kogito projects:

<!-- Please update this table in alphabetical order when creating a new add-on -->

| Add-On Description      | Artifact ID                                    | Since  |
|-------------------------|------------------------------------------------|--------|
| Events Decisions        | kie-addons-springboot-events-decisions         | 1.2.0  |
| Events Kafka            | kie-addons-springboot-events-kafka             | 0.3.0  |
| Events Predictions      | kie-addons-springboot-events-predictions       | 1.12.0 |
| Events Rules            | drools-addons-springboot-events-rules          | 1.12.0 |
| Explainability          | kie-addons-springboot-explainability           | 0.15.0 |
| Jobs Management         | kogito-addons-springboot-jobs-management       | 0.6.0  |
| Kubernetes              | kie-addons-springboot-kubernetes               | 1.13.0 |
| Mail                    | jbpm-addons-springboot-mail                    | 1.6.0  |
| Messaging               | kie-addons-springboot-messaging                | 1.0.0  |
| Monitoring Elastic      | kie-addons-springboot-monitoring-elastic       | 1.2.0  |
| Monitoring Prometheus   | kie-addons-springboot-monitoring-prometheus    | 0.1.0  |
| Persistence File System | kie-addons-springboot-persistence-filesystem   | 1.21.0 |
| Persistence Infinispan  | kie-addons-springboot-persistence-infinispan   | 1.21.0 |
| Persistence JDBC        | kie-addons-springboot-persistence-jdbc         | 1.21.0 |
| Persistence MongoDB     | kie-addons-springboot-persistence-mongodb      | 1.21.0 |
| Persistence Postgresql  | kie-addons-springboot-persistence-postgresql   | 1.21.0 |
| Process Management      | kie-addons-springboot-process-management       | 0.3.0  |
| Process SVG             | kie-addons-springboot-process-svg              | 1.0.0  |
| Task Management         | jbpm-addons-springboot-task-management         | 1.4.0  |
| Task Notification       | jbpm-addons-springboot-task-notification       | 1.6.0  |
| Tracing Decision        | kie-addons-springboot-tracing-decision         | 0.11.0 |
| Events MongoDB          | kie-addons-springboot-events-mongodb           | 1.11.0 |

## Contributing

To know more about creating a new add-on, please check the main `addons` module [README](../../addons/README.md).
